Bug 196207 - GTK/Glib applications crash when running under KDE4.3x (malloc_printerr, free(): invalid pointer)
Summary: GTK/Glib applications crash when running under KDE4.3x (malloc_printerr, free...
Status: RESOLVED UPSTREAM
Alias: None
Product: unknown
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
: 181327 192642 193175 194146 195183 195984 196235 196367 197019 197025 197169 197210 197936 198196 198900 198933 199536 200669 200712 200791 200982 203630 204645 204775 204881 205025 206843 207673 207788 208031 209210 209618 211148 211635 212008 212229 212626 213204 213586 213607 214162 214332 214461 214465 214774 214793 214974 216179 216404 216560 216606 216620 216905 217829 217875 217894 217910 217969 218140 218229 218372 218785 218858 218888 218997 219055 219288 219289 219314 219339 219498 219557 219629 219774 219782 219814 220029 220041 220062 220090 220138 220143 220235 220250 220366 220452 220580 220590 220594 220599 220788 220812 220815 220824 220867 220885 220947 221015 221156 221172 221251 221419 221599 221826 222064 222094 222590 222654 222735 222814 223126 223192 223404 224286 224292 224327 225166 225387 226820 243412 282896 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-06-12 17:47 UTC by Pino Silvaggio
Modified: 2011-09-27 18:59 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
mathematica crash error log (23.13 KB, text/x-log)
2009-06-15 19:45 UTC, Jonah Bernhard
Details
New crash information added by DrKonqi (10.64 KB, text/plain)
2010-11-10 16:40 UTC, ryan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pino Silvaggio 2009-06-12 17:47:22 UTC
Version:            (using KDE 4.2.90)
Compiler:          gcc-4.3.3 
OS:                Linux
Installed from:    Gentoo Packages

Firefox, Eclipse, NetBeans and gnome-color-chooser

They all crash or disappear randomly.

This behavior does not occur with KDE 4.2, Gnome or X.

There is no error message in console.

For gnome-color-chooser it randomly crash when starting it. To reproduce just try to start it from console until it crashes usually right after the line "Loading GUI with libglade...".
Comment 1 Dario Andres 2009-06-12 20:40:12 UTC
I wonder if you are using any Gtk-qt style for GTK which could be crashing. 
Remove your .gtkrc-2.0 file from your Home folder in order to reset the GTK apps look.

(This is probably unrelated to KDE)
Comment 2 Pino Silvaggio 2009-06-12 20:50:20 UTC
Well, I tried everything I could.

Crashes with or without gtk-qt-engine.

Crash with or without .gtkrc* files.
Comment 3 Dario Andres 2009-06-12 20:52:06 UTC
When this started happening ? Did you updated any other package ? (gtk?)... does *every* Gtk apps crashes?
Comment 4 Pino Silvaggio 2009-06-12 20:55:24 UTC
Good question.

At home I don't remember if did or did not update any GTK packages. However, I did try a downgrade of all GTK libraries I could find, including glade and cairo.

At work, I get the same behavior and my update practices are much more conservator.
Comment 5 Dario Andres 2009-06-12 20:58:05 UTC
Try to use GDB to debug the GTK application crashing.
Comment 6 Pino Silvaggio 2009-06-12 20:59:47 UTC
Ok.
Comment 7 Pino Silvaggio 2009-06-12 22:22:41 UTC
This is the backtrace when gnome-color-chooser crashes

#0  abort () at abort.c:90                                   
#1  0x00007fe1b68ee7a0 in malloc_printerr (action=2, str=0x7fe1b6999720 "free(): invalid pointer", ptr=0x4a9b)
    at malloc.c:6201                                                                                          
#2  0x00007fe1b79ec6f3 in g_value_unset () from /usr/lib/libgobject-2.0.so.0                                  
#3  0x00007fe1b79c8e18 in g_object_set_property () from /usr/lib/libgobject-2.0.so.0                          
#4  0x00007fe1b8194503 in gtk_cell_view_set_cell_data (cell_view=0xab02c0) at gtkcellview.c:546               
#5  0x00007fe1b8194641 in gtk_cell_view_size_request (widget=0x4a9b, requisition=0x4a9b) at gtkcellview.c:326 
#6  0x00007fe1b8194acc in IA__gtk_cell_view_get_size_of_row (cell_view=0xab02c0, path=0xed1530,               
    requisition=0x7fffc1f165a0) at gtkcellview.c:997                                                          
#7  0x00007fe1b81a05b4 in gtk_combo_box_calc_requested_width (combo_box=<value optimized out>, path=0xed1530) 
    at gtkcombobox.c:2020                                                                                     
#8  0x00007fe1b81a0bba in gtk_combo_box_model_row_changed (model=0xab24f0, path=0xed1530, iter=0xec4d80,      
    user_data=<value optimized out>) at gtkcombobox.c:3623                                                    
#9  0x00007fe1b79c0b08 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0                               
#10 0x00007fe1b79dad1f in ?? () from /usr/lib/libgobject-2.0.so.0                                             
#11 0x00007fe1b79dc152 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0                           
#12 0x00007fe1b79dc920 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0                                  
#13 0x00007fe1b82fc4dc in gtk_tree_model_filter_row_changed (c_model=0xa8f390, c_path=0xed1500, c_iter=0xdec280, 
    data=0xab24f0) at gtktreemodelfilter.c:1233                                                                  
#14 0x00007fe1b79c0b08 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0                                  
#15 0x00007fe1b79dad1f in ?? () from /usr/lib/libgobject-2.0.so.0                                                
#16 0x00007fe1b79dc152 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0                              
#17 0x00007fe1b79dc920 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0                                     
#18 0x00007fe1b8223541 in IA__gtk_list_store_set_valist (list_store=0xa8f390, iter=0x7fffc1f170b0,               
    var_args=<value optimized out>) at gtkliststore.c:908                                                        
#19 0x00007fe1b82235d8 in IA__gtk_list_store_set (list_store=0x4a9b, iter=0x4a9b) at gtkliststore.c:935          
#20 0x00007fe1b81cac82 in change_icon_theme (button=0xa822a0) at gtkfilechooserbutton.c:1356                     
#21 0x00007fe1b97da30a in Gtk::Widget_Class::style_set_callback (self=0xa822a0, p0=0x0) at widget.cc:4305        
#22 0x00007fe1b79c0b08 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0                                  
#23 0x00007fe1b79da5fc in ?? () from /usr/lib/libgobject-2.0.so.0                                                
#24 0x00007fe1b79dc152 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0                              
#25 0x00007fe1b79dc920 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0                                     
#26 0x00007fe1b833b034 in gtk_widget_set_style_internal (widget=0xa822a0, style=0x7463f0, initial_emission=1)    
    at gtkwidget.c:6120                                                                                          
#27 0x00007fe1b8291745 in do_size_request (widget=0x4a9b) at gtksizegroup.c:618                                  
#28 0x00007fe1b82919f8 in _gtk_size_group_compute_requisition (widget=0xa822a0, requisition=0x7fffc1f17600)      
    at gtksizegroup.c:820                                                                                        
#29 0x00007fe1b817a4f8 in gtk_box_size_request (widget=0xaab180, requisition=0xaab1b8) at gtkbox.c:280           
#30 0x00007fe1b79c0a31 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0                                  
#31 0x00007fe1b79da5fc in ?? () from /usr/lib/libgobject-2.0.so.0                                                
#32 0x00007fe1b79dc152 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0                              
#33 0x00007fe1b79dc727 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0                             
#34 0x00007fe1b82919f8 in _gtk_size_group_compute_requisition (widget=0xaab180, requisition=0x0) at gtksizegroup.c:820
#35 0x00007fe1b82ac6ef in gtk_table_size_request (widget=0xa39f00, requisition=0xa39f38) at gtktable.c:936
#36 0x00007fe1b79c0a31 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#37 0x00007fe1b79da5fc in ?? () from /usr/lib/libgobject-2.0.so.0
#38 0x00007fe1b79dc152 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#39 0x00007fe1b79dc727 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#40 0x00007fe1b82919f8 in _gtk_size_group_compute_requisition (widget=0xa39f00, requisition=0x7fffc1f17fd0)
    at gtksizegroup.c:820
#41 0x00007fe1b816fd55 in gtk_alignment_size_request (widget=0xa39d20, requisition=0xa39d58) at gtkalignment.c:428
#42 0x00007fe1b79c0a31 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#43 0x00007fe1b79da5fc in ?? () from /usr/lib/libgobject-2.0.so.0
#44 0x00007fe1b79dc152 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#45 0x00007fe1b79dc727 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#46 0x00007fe1b82919f8 in _gtk_size_group_compute_requisition (widget=0xa39d20, requisition=0x7fffc1f18490)
    at gtksizegroup.c:820
#47 0x00007fe1b81ed0df in gtk_frame_size_request (widget=0xa39be0, requisition=0xa39c18) at gtkframe.c:625
#48 0x00007fe1b79c0a31 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#49 0x00007fe1b79da5fc in ?? () from /usr/lib/libgobject-2.0.so.0
#50 0x00007fe1b79dc152 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#51 0x00007fe1b79dc727 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#52 0x00007fe1b82919f8 in _gtk_size_group_compute_requisition (widget=0xa39be0, requisition=0x7fffc1f18960)
    at gtksizegroup.c:820
---Type <return> to continue, or q <return> to quit---
#53 0x00007fe1b817a4f8 in gtk_box_size_request (widget=0xa4c8f0, requisition=0xa4c928) at gtkbox.c:280
#54 0x00007fe1b79c0a31 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#55 0x00007fe1b79da5fc in ?? () from /usr/lib/libgobject-2.0.so.0
#56 0x00007fe1b79dc152 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#57 0x00007fe1b79dc727 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#58 0x00007fe1b82919f8 in _gtk_size_group_compute_requisition (widget=0xa4c8f0, requisition=0x7fffc1f18ea0)
    at gtksizegroup.c:820
#59 0x00007fe1b824ae5e in gtk_notebook_size_request (widget=0x7b9000, requisition=<value optimized out>)
    at gtknotebook.c:1832
#60 0x00007fe1b79c0a31 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#61 0x00007fe1b79da5fc in ?? () from /usr/lib/libgobject-2.0.so.0
#62 0x00007fe1b79dc152 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#63 0x00007fe1b79dc727 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#64 0x00007fe1b82919f8 in _gtk_size_group_compute_requisition (widget=0x7b9000, requisition=0x7fffc1f193a0)
    at gtksizegroup.c:820
#65 0x00007fe1b817a4f8 in gtk_box_size_request (widget=0x6b8140, requisition=0x6b8178) at gtkbox.c:280
#66 0x00007fe1b97d7710 in Gtk::Widget_Class::size_request_callback (self=0x6b8140, p0=0x6b8178) at widget.cc:4082
#67 0x00007fe1b79c0a31 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#68 0x00007fe1b79da5fc in ?? () from /usr/lib/libgobject-2.0.so.0
#69 0x00007fe1b79dc152 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#70 0x00007fe1b79dc727 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#71 0x00007fe1b82919f8 in _gtk_size_group_compute_requisition (widget=0x6b8140, requisition=0x7fffc1f198a0)
    at gtksizegroup.c:820
#72 0x00007fe1b8343480 in gtk_window_size_request (widget=<value optimized out>, requisition=0x6dd1d8)
    at gtkwindow.c:4913
#73 0x00007fe1b97d7710 in Gtk::Widget_Class::size_request_callback (self=0x6dd1a0, p0=0x6dd1d8) at widget.cc:4082
#74 0x00007fe1b79c0b08 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#75 0x00007fe1b79da5fc in ?? () from /usr/lib/libgobject-2.0.so.0
#76 0x00007fe1b79dc152 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#77 0x00007fe1b79dc727 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#78 0x00007fe1b82919f8 in _gtk_size_group_compute_requisition (widget=0x6dd1a0, requisition=0x0) at gtksizegroup.c:820
#79 0x00007fe1b8343862 in gtk_window_compute_configure_request (window=0x6dd1a0, request=0x7fffc1f19ec0,
    geometry=0x7fffc1f19e80, flags=0x7fffc1f19eec) at gtkwindow.c:5782
#80 0x00007fe1b834cd6c in gtk_window_show (widget=0x6dd1a0) at gtkwindow.c:4464
#81 0x00007fe1b97d7b85 in Gtk::Widget_Class::show_callback (self=0x6dd1a0) at widget.cc:3841
#82 0x00007fe1b79c0b08 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#83 0x00007fe1b79da5fc in ?? () from /usr/lib/libgobject-2.0.so.0
#84 0x00007fe1b79dc152 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#85 0x00007fe1b79dc920 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#86 0x00007fe1b833d50c in IA__gtk_widget_show (widget=0x6dd1a0) at gtkwidget.c:3006
#87 0x00007fe1b9764675 in Gtk::Main::run (window=@0x4a9b) at main.cc:488
#88 0x00000000004161d4 in main (argc=1, argv=0x7fffc1f1a8f8) at main.cc:283
Comment 8 Dario Andres 2009-06-12 22:24:32 UTC
Nothing I can see in it :-\
Are you still able to run the gtk applications when not running a KDE session ? Or even inside a KDE session of a clean user account (you can create a new one for testing).
I wonder if the later downgrade you did may affected the current gtk apps.
Regards
Comment 9 Pino Silvaggio 2009-06-12 22:31:35 UTC
When not running KDE session, everything works flawless.

When running 4.2.4 everything runs flawless.

When running 4.2.89 (90 and 91) I get this behavior.

I reemerged everything (@world) 3 times. Using GCC-4.3.3 and GCC-4.4.0 and I get the same behavior.

I did use the root account for testing (clean, never used no .kde) and it does the same thing with no prior customization.

This is weird. This is something that I'm getting since 4.2.85+ so it's been awhile.
Comment 10 Dario Andres 2009-06-12 22:33:31 UTC
Is your glib2 (libgobject and friends) updated? (the top function of the BT)
This is really weird
Comment 11 Pino Silvaggio 2009-06-12 22:40:38 UTC
Ok, let me try to check glib again.

I did try -> 2.18.4, 2.20.1, 2.20.2, 2.20.3

But the question is... why would it work good elsewhere?
Comment 12 Dario Andres 2009-06-12 22:45:37 UTC
And I wonder why nobody else reported this issue... Could you ask at the Gentoo community/forums for everyone else experiencing this weird behaviour ? Thanks
Comment 13 Pino Silvaggio 2009-06-13 06:27:02 UTC
Just noticed that if I "su -" and run gnome-color-chooser it works.
Comment 14 Pino Silvaggio 2009-06-13 09:45:45 UTC
Ok, I can confirm that everything works good when using "su -" and running in super user mode from my normal user.
Comment 15 Pino Silvaggio 2009-06-13 19:00:20 UTC
This is exactly what I have !!!

http://bbs.archlinux.org/viewtopic.php?pid=567710
Comment 16 Victor 2009-06-13 19:53:06 UTC
Hi, I'm from Arch.  I use KDEmod. It's compiled with gcc4.4.0. In kde 4.3 since 4.2.88 (I think). Apps like Goldendict, linuxdcpp, amarok, psi are shuting down. Using sudo they all work without problems. Here are the traces. Wher the same programs runs outside KDE it all works. And it works in 4.2.3. but if kdem is started (even in other X display) the applications are segfauling or aborted. I can try to reproduce for the other programs.
Amarok: 

Application: Amarok (amarok), signal: Aborted
[Current thread is 0 (LWP 8642)]

Thread 5 (Thread 0x7f3bf4749910 (LWP 8645)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f3c07552a6b in QWaitCondition::wait (this=<value optimized out>, mutex=0x1d1e478, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f3bf4c1f7d9 in XmlParseJob::run () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
#3  0x00007f3c036db72d in ThreadWeaver::JobRunHelper::runTheJob () from /usr/lib/libthreadweaver.so.4
#4  0x00007f3c036dba2f in ThreadWeaver::Job::execute () from /usr/lib/libthreadweaver.so.4
#5  0x00007f3c036da9ff in ThreadWeaver::ThreadRunHelper::run () from /usr/lib/libthreadweaver.so.4
#6  0x00007f3c036dae88 in ThreadWeaver::Thread::run () from /usr/lib/libthreadweaver.so.4
#7  0x00007f3c075519e1 in QThreadPrivate::start (arg=0x1d5f6d0) at thread/qthread_unix.cpp:189
#8  0x00007f3c06d306fa in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007f3c072697ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f3bec2eb910 (LWP 8646)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f3c07552a6b in QWaitCondition::wait (this=<value optimized out>, mutex=0x1d5f050, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c036da2f6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned () from /usr/lib/libthreadweaver.so.4
#3  0x00007f3c036dc433 in ThreadWeaver::WorkingHardState::applyForWork () from /usr/lib/libthreadweaver.so.4
#4  0x00007f3c036dc44c in ThreadWeaver::WorkingHardState::applyForWork () from /usr/lib/libthreadweaver.so.4
#5  0x00007f3c036daa2f in ThreadWeaver::ThreadRunHelper::run () from /usr/lib/libthreadweaver.so.4
#6  0x00007f3c036dae88 in ThreadWeaver::Thread::run () from /usr/lib/libthreadweaver.so.4
#7  0x00007f3c075519e1 in QThreadPrivate::start (arg=0x1c0ea60) at thread/qthread_unix.cpp:189
#8  0x00007f3c06d306fa in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007f3c072697ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f3beb2e9910 (LWP 8649)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f3c07552a6b in QWaitCondition::wait (this=<value optimized out>, mutex=0x1d5f050, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c036da2f6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned () from /usr/lib/libthreadweaver.so.4
#3  0x00007f3c036dc433 in ThreadWeaver::WorkingHardState::applyForWork () from /usr/lib/libthreadweaver.so.4
#4  0x00007f3c036dc44c in ThreadWeaver::WorkingHardState::applyForWork () from /usr/lib/libthreadweaver.so.4
#5  0x00007f3c036daa2f in ThreadWeaver::ThreadRunHelper::run () from /usr/lib/libthreadweaver.so.4
#6  0x00007f3c036dae88 in ThreadWeaver::Thread::run () from /usr/lib/libthreadweaver.so.4
#7  0x00007f3c075519e1 in QThreadPrivate::start (arg=0x1933710) at thread/qthread_unix.cpp:189
#8  0x00007f3c06d306fa in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007f3c072697ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f3beaae8910 (LWP 8650)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f3c07552a6b in QWaitCondition::wait (this=<value optimized out>, mutex=0x1d5f050, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c036da2f6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned () from /usr/lib/libthreadweaver.so.4
#3  0x00007f3c036dc433 in ThreadWeaver::WorkingHardState::applyForWork () from /usr/lib/libthreadweaver.so.4
#4  0x00007f3c036daa2f in ThreadWeaver::ThreadRunHelper::run () from /usr/lib/libthreadweaver.so.4
#5  0x00007f3c036dae88 in ThreadWeaver::Thread::run () from /usr/lib/libthreadweaver.so.4
#6  0x00007f3c075519e1 in QThreadPrivate::start (arg=0x19103a0) at thread/qthread_unix.cpp:189
#7  0x00007f3c06d306fa in start_thread (arg=<value optimized out>) at pthread_create.c:297
#8  0x00007f3c072697ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f3c097567a0 (LWP 8642)):
[KCrash Handler]
#5  0x00007f3c071d1235 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#6  0x00007f3c071d25bf in *__GI_abort () at abort.c:88
#7  0x00007f3c0720ff68 in malloc_printerr (action=2, str=0x7f3c072b6cfc "free(): invalid pointer", ptr=0x21c2) at malloc.c:6201
#8  0x00007f3c07558539 in QList<QByteArray>::free (this=<value optimized out>, data=0x21c2) at ../../include/QtCore/../../src/corelib/tools/qbytearray.h:375
#9  0x00007f3c07665d7b in QTextCodec::codecForName (name=@0x7fff0a4879b0) at codecs/qtextcodec.cpp:944
#10 0x00007f3bf4c19b3f in ScanManager::slotReadReady () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
#11 0x00007f3bf4c1e6fc in ScanManager::qt_metacall () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
#12 0x00007f3c0764b076 in QMetaObject::activate (sender=0x18fc890, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3120
#13 0x00007f3c075daa6c in QProcessPrivate::_q_canReadStandardOutput (this=0x1dc8600) at io/qprocess.cpp:564
#14 0x00007f3c075dda31 in QProcess::qt_metacall (this=0x18fc890, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff0a487d50) at .moc/release-shared/moc_qprocess.cpp:101
#15 0x00007f3c07a11e58 in KProcess::qt_metacall () from /usr/lib/libkdecore.so.5
#16 0x00007f3c08aa99a0 in AmarokProcess::qt_metacall () from /usr/lib/libamaroklib.so.1
#17 0x00007f3c0764b076 in QMetaObject::activate (sender=0x1d5e040, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3120
#18 0x00007f3c076815ae in QSocketNotifier::activated (this=0x21c2, _t1=54) at .moc/release-shared/moc_qsocketnotifier.cpp:83
#19 0x00007f3c0764fa1b in QSocketNotifier::event (this=0x1d5e040, e=0x7fff0a4882a0) at kernel/qsocketnotifier.cpp:316
#20 0x00007f3c07f4e02c in QApplicationPrivate::notify_helper (this=0xafded0, receiver=0x1d5e040, e=0x7fff0a4882a0) at kernel/qapplication.cpp:4057
#21 0x00007f3c07f54fee in QApplication::notify (this=0x7fff0a488560, receiver=0x1d5e040, e=0x7fff0a4882a0) at kernel/qapplication.cpp:4022
#22 0x00007f3c092847e6 in KApplication::notify () from /usr/lib/libkdeui.so.5
#23 0x00007f3c07635ccb in QCoreApplication::notifyInternal (this=0x7fff0a488560, receiver=0x1d5e040, event=0x7fff0a4882a0) at kernel/qcoreapplication.cpp:610
#24 0x00007f3c0765e7da in socketNotifierSourceDispatch (source=0xb012a0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#25 0x00007f3bff825dee in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#26 0x00007f3bff8294b8 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#27 0x00007f3bff8295e0 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#28 0x00007f3c0765e531 in QEventDispatcherGlib::processEvents (this=0xafc9f0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:324
#29 0x00007f3c07fe1186 in QGuiEventDispatcherGlib::processEvents (this=0x21c2, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#30 0x00007f3c076345b2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#31 0x00007f3c07634975 in QEventLoop::exec (this=0x7fff0a488510, flags=) at kernel/qeventloop.cpp:200
#32 0x00007f3c07636a59 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#33 0x0000000000403fd6 in _start ()


Goldendict:

(gdb) r                                                                                                                
Starting program: /usr/bin/goldendict                                                                                  
[Thread debugging using libthread_db enabled]                                                                          
[New Thread 0x7f6af0a9a760 (LWP 11235)]                                                                                
[New Thread 0x7f6adfd5f910 (LWP 11238)]                                                                                
Load done                                                                                                              
[Thread 0x7f6adfd5f910 (LWP 11238) exited]                                                                             
getResource: gdlookup://localhost?blank=1                                                                              
scheme: gdlookup                                                                                                       
host: localhost                                                                                                        
getResource: gdlookup://localhost?blank=1                                                                              
scheme: gdlookup                                                                                                       
host: localhost                                                                                                        
getResource: gdlookup://localhost?word=Welcome!&group=4294967295                                                       
scheme: gdlookup                                                                                                       
host: localhost                                                                                                        
In-place finish.                                                                                                       
[New Thread 0x7f6adfd5f910 (LWP 11239)]                                                                                
====reading 16384 bytes                                                                                                
====reading 16384 bytes                                                                                                
====reading 16384 bytes                                                                                                
====reading 16384 bytes                                                                                                
[Thread 0x7f6adfd5f910 (LWP 11239) exited]                                                                             
[New Thread 0x7f6adfd5f910 (LWP 11240)]                                                                                
bookname = Accounting (En-Ru)                                                                                          
wordcount = 4942                                                                                                       
7104 entires made                                                                                                      
Building a tree of 85 elements                                                                                         
bookname = Americana (En-Ru)                                                                                           
wordcount = 21018                                                                                                      
                                                                                                                       
Program received signal SIGABRT, Aborted.                                                                              
[Switching to Thread 0x7f6adfd5f910 (LWP 11240)]                                                                       
0x00007f6aea15d235 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64            
64        return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);                                                        
(gdb) bt                                                                                                               
#0  0x00007f6aea15d235 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64        
#1  0x00007f6aea15e5bf in *__GI_abort () at abort.c:88                                                                 
#2  0x00007f6aea19bf68 in malloc_printerr (action=2, str=0x7f6aea242cfc "free(): invalid pointer", ptr=0x2be3)         
    at malloc.c:6201                                                                                                   
#3  0x000000000047f38e in BtreeIndexing::IndexedWords::addWord ()                                                      
#4  0x000000000048434e in handleIdxSynFile (fileName=<value optimized out>, indexedWords=<value optimized out>,        
    chunks=@0x7f6adfd5e640, articleOffsets=0x0, isSynFile=false) at stardict.cc:959                                    
#5  0x0000000000487cde in Stardict::makeDictionaries (fileNames=@0x7f6adfd5e900, indicesDir=<value optimized out>,     
    initializing=<value optimized out>) at stardict.cc:1051                                                            
#6  0x00000000004e2ad1 in LoadDictionaries::handlePath ()                                                              
#7  0x00000000004e2801 in LoadDictionaries::handlePath ()                                                              
#8  0x00000000004e2801 in LoadDictionaries::handlePath ()                                                              
#9  0x00000000004e366b in LoadDictionaries::run ()                                                                     
#10 0x00007f6aeb9889e1 in QThreadPrivate::start (arg=0x7fff5e4eef40) at thread/qthread_unix.cpp:189                    
#11 0x00007f6aeac2c6fa in start_thread (arg=<value optimized out>) at pthread_create.c:297                             
#12 0x00007f6aea1f57ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112                                    
#13 0x0000000000000000 in ?? ()                                                                                        
(gdb) info r                                                                                                           
rax            0x0      0                                                                                              
rbx            0x7f6aea242cfc   140097171500284                                                                        
rcx            0xffffffffffffffff       -1                                                                             
rdx            0x6      6                                                                                              
rsi            0x2be8   11240                                                                                          
rdi            0x2be3   11235                                                                                          
rbp            0x2      0x2                                                                                            
rsp            0x7f6adfd5e228   0x7f6adfd5e228                                                                         
r8             0x0      0                                                                                              
r9             0xffffffdf       4294967263                                                                             
r10            0x8      8                                                                                              
r11            0x202    514                                                                                            
r12            0x3ff4480        67060864                                                                               
r13            0x40367f0        67332080                                                                               
r14            0x7f6adfd5e450   140096998597712                                                                        
r15            0x13     19                                                                                             
rip            0x7f6aea15d235   0x7f6aea15d235 <*__GI_raise+53>                                                        
eflags         0x202    [ IF ]                                                                                         
cs             0x33     51                                                                                             
ss             0x2b     43                                                                                             
ds             0x0      0                                                                                              
es             0x0      0                                                                                              
fs             0x0      0                                                                                              
gs             0x0      0                                                                                              
fctrl          0x37f    895                                                                                            
fstat          0x0      0                                                                                              
ftag           0xffff   65535                                                                                          
fiseg          0x0      0                                                                                              
fioff          0x0      0                                                                                              
foseg          0x0      0                                                                                              
fooff          0x0      0                                                                                              
fop            0x0      0                                                                                              
mxcsr          0x1fa1   [ IE PE IM DM ZM OM UM PM ]                                                                    
(gdb) info sha                                                                                                         
From                To                  Syms Read   Shared Object Library                                              
0x00007f6af08b0aa0  0x00007f6af08c6b54  Yes         /lib/ld-linux-x86-64.so.2                                          
0x00007f6af06ab1a0  0x00007f6af06aefb8  Yes         /usr/lib/libvorbisfile.so.3                                        
0x00007f6af04800d0  0x00007f6af04979c8  Yes         /usr/lib/libvorbis.so.0                                            
0x00007f6af02788f0  0x00007f6af027a708  Yes         /usr/lib/libogg.so.0                                               
0x00007f6af003fa70  0x00007f6af0062518  Yes         /usr/lib/libhunspell-1.2.so.0                                      
0x00007f6aefe31450  0x00007f6aefe344f8  Yes         /usr/lib/libXtst.so.6                                              
0x00007f6aeeea8f80  0x00007f6aef7ee568  Yes         /usr/lib/libQtWebKit.so.4                                          
0x00007f6aee947af0  0x00007f6aee9acd78  Yes         /usr/lib/libsqlite3.so.0                                           
0x00007f6aee7099a0  0x00007f6aee72ffa8  Yes         /usr/lib/libQtXml.so.4                                             
0x00007f6aedc95e00  0x00007f6aee2df648  Yes         /usr/lib/libQtGui.so.4                                             
0x00007f6aed8e1360  0x00007f6aed8fc5d8  Yes         /usr/lib/libpng12.so.0                                             
0x00007f6aed652270  0x00007f6aed6b8308  Yes         /usr/lib/libfreetype.so.6                                          
0x00007f6aed40b070  0x00007f6aed4344c8  Yes         /usr/lib/libgobject-2.0.so.0                                       
0x00007f6aed1fbbf0  0x00007f6aed2005d8  Yes         /usr/lib/libSM.so.6                                                
0x00007f6aecfe42a0  0x00007f6aecff2638  Yes         /usr/lib/libICE.so.6                                               
0x00007f6aecdd7ae0  0x00007f6aecdddf38  Yes         /usr/lib/libXrender.so.1                                           
0x00007f6aecbab0f0  0x00007f6aecbc31d8  Yes         /usr/lib/libfontconfig.so.1                                        
0x00007f6aec996a50  0x00007f6aec9a1968  Yes         /usr/lib/libXext.so.6                                              
0x00007f6aec677d60  0x00007f6aec7055a8  Yes         /usr/lib/libX11.so.6                                               
0x00007f6aec36dc20  0x00007f6aec4046e8  Yes         /usr/lib/libQtNetwork.so.4                                         
0x00007f6aec104aa0  0x00007f6aec130a48  Yes         /usr/lib/libssl.so.0.9.8                                           
0x00007f6aebdcbb40  0x00007f6aebe87b18  Yes         /usr/lib/libcrypto.so.0.9.8                                        
0x00007f6aeb977080  0x00007f6aebab8c78  Yes         /usr/lib/libQtCore.so.4                                            
0x00007f6aeb717120  0x00007f6aeb722b58  Yes         /usr/lib/libz.so.1                                                 
0x00007f6aeb512650  0x00007f6aeb5139e8  Yes         /usr/lib/libgthread-2.0.so.0                                       
0x00007f6aeb30b180  0x00007f6aeb30e678  Yes         /lib/librt.so.1                                                    
0x00007f6aeb05b090  0x00007f6aeb0b71f8  Yes         /usr/lib/libglib-2.0.so.0                                          
0x00007f6aeae42dc0  0x00007f6aeae43928  Yes         /lib/libdl.so.2                                                    
0x00007f6aeac2b2c0  0x00007f6aeac36598  Yes         /lib/libpthread.so.0                                               
0x00007f6aea971af0  0x00007f6aea9e3666  Yes         /usr/lib/libstdc++.so.6                                            
0x00007f6aea698e60  0x00007f6aea6d8bd8  Yes         /lib/libm.so.6                                                     
0x00007f6aea481cf0  0x00007f6aea492158  Yes         /usr/lib/libgcc_s.so.1                                             
0x00007f6aea149660  0x00007f6aea22c9ac  Yes         /lib/libc.so.6                                                     
0x00007f6ae9efc570  0x00007f6ae9f19e18  Yes         /lib/libpcre.so.0                                                  
0x00007f6ae9cf8670  0x00007f6ae9cf9b08  Yes         /lib/libuuid.so.1                                                  
0x00007f6ae9ad1d30  0x00007f6ae9aeb398  Yes         /usr/lib/libexpat.so.1                                             
0x00007f6ae98cccf0  0x00007f6ae98cda88  Yes         /usr/lib/libXau.so.6                                               
0x00007f6ae96b9610  0x00007f6ae96c4b38  Yes         /usr/lib/libxcb.so.1                                               
0x00007f6ae94ac3e0  0x00007f6ae94add78  Yes         /usr/lib/libXdmcp.so.6                                             
0x00007f6ae8f495c0  0x00007f6ae8f4b018  Yes         /usr/lib/gconv/UTF-16.so                                           
0x00007f6ae8d42920  0x00007f6ae8d47988  Yes         /usr/lib/libXrandr.so.2                                            
0x00007f6ae8b3d530  0x00007f6ae8b403b8  Yes         /usr/lib/libXfixes.so                                              
0x00007f6ae8934b40  0x00007f6ae8939be8  Yes         /usr/lib/libXcursor.so.1                                           
0x00007f6ae8730a80  0x00007f6ae87315c8  Yes         /usr/lib/libXinerama.so.1                                          
0x00007f6ae8527a60  0x00007f6ae852e098  Yes         /usr/lib/libXi.so                                                  
0x00007f6ae82fc920  0x00007f6ae8321858  Yes         /usr/lib/kde4/plugins/styles/oxygen.so                             
0x00007f6ae7e1fe20  0x00007f6ae80400d8  Yes         /usr/lib/libkdeui.so.5                                             
0x00007f6ae78c0da0  0x00007f6ae7a5ea58  Yes         /usr/lib/libkio.so.5                                               
0x00007f6ae75c4720  0x00007f6ae75f93b8  Yes         /usr/lib/libQtSvg.so.4                                             
0x00007f6ae71c18a0  0x00007f6ae733f848  Yes         /usr/lib/libkdecore.so.5                                           
0x00007f6ae6ecdfc0  0x00007f6ae6f16bb8  Yes         /usr/lib/libQtDBus.so.4                                            
0x00007f6ae6cad630  0x00007f6ae6cba598  Yes         /usr/lib/libXft.so.2                                               
0x00007f6ae6a9b290  0x00007f6ae6aa66e8  Yes         /usr/lib/libXpm.so.4                                               
0x00007f6ae6838bd0  0x00007f6ae68824d8  Yes         /usr/lib/libstreamanalyzer.so.0                                    
0x00007f6ae65f88b0  0x00007f6ae66183a8  Yes         /usr/lib/libstreams.so.0                                           
0x00007f6ae6382fd0  0x00007f6ae63c5888  Yes         /usr/lib/libsolid.so.4                                             
0x00007f6ae6154f60  0x00007f6ae6158ab8  Yes         /usr/lib/libfam.so.0                                               
0x00007f6ae5f4eeb0  0x00007f6ae5f52e98  Yes         /lib/libacl.so.1                                                   
0x00007f6ae5d4a3c0  0x00007f6ae5d4c358  Yes         /lib/libattr.so.1                                                  
0x00007f6ae5b3a720  0x00007f6ae5b469f8  Yes         /lib/libbz2.so.1.0                                                 
0x00007f6ae59268a0  0x00007f6ae5932668  Yes         /lib/libresolv.so.2                                                
0x00007f6ae55f46c0  0x00007f6ae56e1638  Yes         /usr/lib/libxml2.so.2                                              
0x00007f6ae538d550  0x00007f6ae53b48e8  Yes         /usr/lib/libdbus-1.so.3                                            
0x00007f6ae5158390  0x00007f6ae517ad28  Yes         /usr/lib/libcups.so.2                                              
0x00007f6ae4f268e0  0x00007f6ae4f43be8  Yes         /usr/lib/libgssapi.so.2                                            
0x00007f6ae4d18760  0x00007f6ae4d1aa78  Yes         /usr/lib/libheimntlm.so.0                                          
0x00007f6ae4abfa10  0x00007f6ae4afd6e8  Yes         /usr/lib/libkrb5.so.25                                             
0x00007f6ae486d4c0  0x00007f6ae4891588  Yes         /usr/lib/libhx509.so.4                                             
0x00007f6ae4659360  0x00007f6ae4659e38  Yes         /lib/libcom_err.so.2                                               
0x00007f6ae43ef480  0x00007f6ae4444748  Yes         /usr/lib/libasn1.so.8                                              
0x00007f6ae41a8f40  0x00007f6ae41aa6c8  Yes         /usr/lib/libwind.so.0
0x00007f6ae3f98590  0x00007f6ae3fa3b18  Yes         /usr/lib/libroken.so.18
0x00007f6ae3d5ca40  0x00007f6ae3d61f98  Yes         /lib/libcrypt.so.1
0x00007f6ae3ad1390  0x00007f6ae3b3d188  Yes         /usr/lib/libgnutls.so.26
0x00007f6ae384b000  0x00007f6ae3895078  Yes         /usr/lib/libgcrypt.so.11
0x00007f6ae3640850  0x00007f6ae3640d38  Yes         /usr/lib/libgpg-error.so.0
0x00007f6ae3431aa0  0x00007f6ae343cef8  Yes         /usr/lib/libtasn1.so.3
0x00007f6ae3225140  0x00007f6ae322c508  Yes         /lib/libnss_files.so.2
0x00007f6ae300f0a0  0x00007f6ae301a908  Yes         /usr/lib/libnsl.so
0x00007f6ae2e07340  0x00007f6ae2e09c78  Yes         /usr/lib/qt/plugins/imageformats/libqgif.so
0x00007f6ae2c008c0  0x00007f6ae2c03068  Yes         /usr/lib/qt/plugins/imageformats/libqico.so
0x00007f6ae29f76e0  0x00007f6ae29fbaf8  Yes         /usr/lib/qt/plugins/imageformats/libqjpeg.so
0x00007f6ae27d4710  0x00007f6ae27ee0a8  Yes         /usr/lib/libjpeg.so.62
0x00007f6ae25cdfc0  0x00007f6ae25cf728  Yes         /usr/lib/qt/plugins/imageformats/libqmng.so
0x00007f6af0910a50  0x00007f6af0953c28  Yes         /usr/lib/libmng.so.1
0x00007f6ae23c91c0  0x00007f6ae23c9ea8  Yes         /usr/lib/qt/plugins/imageformats/libqsvg.so
0x00007f6ae21c47c0  0x00007f6ae21c5e18  Yes         /usr/lib/qt/plugins/imageformats/libqtiff.so
0x00007f6ae1f6dd00  0x00007f6ae1f9b4d8  Yes         /usr/lib/libtiff.so.3
0x00007f6ae1d614b0  0x00007f6ae1d64b78  Yes         /usr/lib/kde4/plugins/imageformats/kimg_dds.so
0x00007f6ae1b5a1c0  0x00007f6ae1b5d178  Yes         /usr/lib/kde4/plugins/imageformats/kimg_eps.so
0x00007f6ae1953f30  0x00007f6ae1955258  Yes         /usr/lib/kde4/plugins/imageformats/kimg_exr.so
0x00007f6ae174deb0  0x00007f6ae174f3e8  Yes         /usr/lib/libImath.so.6
0x00007f6ae14b2640  0x00007f6ae14f4c28  Yes         /usr/lib/libIlmImf.so.6
0x00007f6ae127df20  0x00007f6ae1282b48  Yes         /usr/lib/libIex.so.6
0x00007f6ae102aa40  0x00007f6ae102af48  Yes         /usr/lib/libHalf.so.6
0x00007f6ae0e25f40  0x00007f6ae0e27c18  Yes         /usr/lib/libIlmThread.so.6
0x00007f6ae0c207a0  0x00007f6ae0c21b88  Yes         /usr/lib/kde4/plugins/imageformats/kimg_jp2.so
0x00007f6ae09d1200  0x00007f6ae0a07068  Yes         /usr/lib/libjasper.so.1
0x00007f6ae07bec30  0x00007f6ae07c3288  Yes         /usr/lib/kde4/plugins/imageformats/kimg_pcx.so
0x00007f6ae05b9450  0x00007f6ae05baa18  Yes         /usr/lib/kde4/plugins/imageformats/kimg_psd.so
0x00007f6ae03b0170  0x00007f6ae03b5548  Yes         /usr/lib/kde4/plugins/imageformats/kimg_rgb.so
0x00007f6ae01a9730  0x00007f6ae01ab378  Yes         /usr/lib/kde4/plugins/imageformats/kimg_tga.so
0x00007f6adff95f20  0x00007f6adffa0948  Yes         /usr/lib/kde4/plugins/imageformats/kimg_xcf.so
0x00007f6adfd91340  0x00007f6adfd920f8  Yes         /usr/lib/kde4/plugins/imageformats/kimg_xview.so
0x00007f6adf33cde0  0x00007f6adf340568  Yes         /usr/lib/qt/plugins/codecs/libqcncodecs.so
0x00007f6adf111c60  0x00007f6adf116aa8  Yes         /usr/lib/qt/plugins/codecs/libqjpcodecs.so
0x00007f6adeefcb20  0x00007f6adeefeac8  Yes         /usr/lib/qt/plugins/codecs/libqkrcodecs.so
0x00007f6adecd63a0  0x00007f6adecd8b08  Yes         /usr/lib/qt/plugins/codecs/libqtwcodecs.so
Comment 17 Victor 2009-06-15 19:23:39 UTC
http://chakra-project.org/bbs/viewtopic.php?pid=5695
thesame behaviour with Mathematica and amarok.
Comment 18 Jonah Bernhard 2009-06-15 19:45:59 UTC
Created attachment 34553 [details]
mathematica crash error log
Comment 19 Jonah Bernhard 2009-06-15 19:47:17 UTC
same behavior with mathematica on arch kdemod 4.2.91.

gdb backtrace:

#0  0xb8048424 in __kernel_vsyscall ()
#1  0xb66997a1 in raise () from /lib/libc.so.6
#2  0xb669afd4 in abort () from /lib/libc.so.6
#3  0xb66db2ab in malloc_printerr () from /lib/libc.so.6
#4  0xb66dfb26 in free () from /lib/libc.so.6
#5  0xb7ef031d in mlstd_clib_deallocator () from /usr/lib/mathematica/SystemFiles/Libraries/Linux/libML32i3.so
#6  0xb7eee14c in mlhashtable_free_keys () from /usr/lib/mathematica/SystemFiles/Libraries/Linux/libML32i3.so
#7  0xb7e6aa3b in ?? () from /usr/lib/mathematica/SystemFiles/Libraries/Linux/libML32i3.so
#8  0x0938dfd0 in ?? ()
#9  0x09ab7ee8 in ?? ()
#10 0x00000014 in ?? ()
#11 0x00000004 in ?? ()
#12 0xb7f39a48 in shm_watch_other_processes_thread () from /usr/lib/mathematica/SystemFiles/Libraries/Linux/libML32i3.so
#13 0x09ab7ee8 in ?? ()
#14 0x00000000 in ?? ()

also see attached error log
Comment 20 Dario Andres 2009-06-15 20:04:01 UTC
@Victor: the amarok crash is unrelated to this as it is a Qt application, and the crash is already reported at: bug 191447

@noahsark1126@gmail.com: I don't know about mathematica, but it is not crashing on gtk functions neither. Are you sure this only happen when running on KDE4.3betas? did you tried on a different environment ?

Thanks
Comment 21 Jonah Bernhard 2009-06-15 20:06:35 UTC
I haven't tried kde stable, but I have in twm as regular user and no crash.
Comment 22 Pino Silvaggio 2009-06-15 20:15:06 UTC
I also had a similar bug awhile ago with the 4.2 branch but it was eventually fixed in 4.2.2.

In NetBeans it is totally the same:

http://www.netbeans.org/issues/show_bug.cgi?id=157690

It was tracked down to:

https://jna.dev.java.net/issues/show_bug.cgi?id=103

The dev suggested it was a KDE issue and it was eventually resolved by the release of KDE 4.2.2.
Comment 23 Victor 2009-06-16 05:14:39 UTC
@Dario: I think that this is the same bug or very closely related bugs. Because in all cases (independent of concrete application) the apps run ok as root, in stable kde or in another WM when kde is not started.

Here is the trace for linuxdcpp which is gtk.

GNU gdb 6.8                                                                                                
Copyright (C) 2008 Free Software Foundation, Inc.                                                          
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>                              
This is free software: you are free to change and redistribute it.                                         
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"                                 
and "show warranty" for details.                                                                           
This GDB was configured as "x86_64-unknown-linux-gnu"...                                                   
(gdb) r                                                                                                    
Starting program: /usr/bin/linuxdcpp                                                                       
[Thread debugging using libthread_db enabled]                                                              
Loading: Hash database                                                                                     
[New Thread 0x7fcc1ca85710 (LWP 14561)]                                                                    
[New Thread 0x7fcc15621910 (LWP 14564)]                                                                    
Loading: Shared Files                                                                                      
[New Thread 0x7fcc14e20910 (LWP 14565)]                                                                    
Loading: Download Queue                                                                                    
[New Thread 0x7fcc1461f910 (LWP 14566)]                                                                    
[New Thread 0x7fcc13e1e910 (LWP 14567)]                                                                    
[New Thread 0x7fcc1361d910 (LWP 14568)]                                                                    
[Thread 0x7fcc14e20910 (LWP 14565) exited]                                                                 
[New Thread 0x7fcc0a65f910 (LWP 14569)]                                                                    
[New Thread 0x7fcc09e5e910 (LWP 14570)]                                                                    
[New Thread 0x7fcc09641910 (LWP 14571)]                                                                    
[New Thread 0x7fcc08e40910 (LWP 14572)]                                                                    
[New Thread 0x7fcc0863f910 (LWP 14573)]                                                                    
[New Thread 0x7fcc07e3e910 (LWP 14574)]                                                                    
[New Thread 0x7fcc0763d910 (LWP 14575)]                                                                    
[New Thread 0x7fcc06a20910 (LWP 14576)]                                                                    
[New Thread 0x7fcc0601c910 (LWP 14577)]                                                                    
[Thread 0x7fcc0a65f910 (LWP 14569) exited]                                                                 
[New Thread 0x7fcc0a65f910 (LWP 14578)]                                                                    
[New Thread 0x7fcc057d9910 (LWP 14579)]                                                                    
                                                                                                           
Program received signal SIGABRT, Aborted.                                                                  
[Switching to Thread 0x7fcc13e1e910 (LWP 14567)]                                                           
0x00007fcc19ba6235 in *__GI_raise (sig=<value optimized out>)                                              
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64                                                          
64        return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);                                            
Current language:  auto; currently c                                                                       
(gdb) bt                                                                                                   
#0  0x00007fcc19ba6235 in *__GI_raise (sig=<value optimized out>)                                          
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64                                                          
#1  0x00007fcc19ba75bf in *__GI_abort () at abort.c:88                                                     
#2  0x00007fcc19be4f68 in malloc_printerr (action=2, str=0x7fcc19c8bcfc "free(): invalid pointer",         
    ptr=0x38e1) at malloc.c:6201                                                                           
#3  0x00007fcc19bd6075 in _IO_new_fclose (fp=0x2419190) at iofclose.c:88                                   
#4  0x00007fcc1c46f594 in destroy () from /usr/lib/libz.so.1                                               
#5  0x00007fcc19675f69 in xmlGzfileClose () from /usr/lib/libxml2.so.2                                     
#6  0x00007fcc196744b2 in xmlFreeParserInputBuffer__internal_alias () from /usr/lib/libxml2.so.2           
#7  0x00007fcc19649055 in xmlFreeInputStream__internal_alias () from /usr/lib/libxml2.so.2                 
#8  0x00007fcc196490a0 in xmlFreeParserCtxt__internal_alias () from /usr/lib/libxml2.so.2                  
#9  0x00007fcc1966338e in xmlSAXUserParseFile__internal_alias () from /usr/lib/libxml2.so.2                
#10 0x00007fcc1ba72ef3 in glade_parser_parse_file () from /usr/lib/libglade-2.0.so.0                       
#11 0x00007fcc1ba705fa in glade_xml_construct () from /usr/lib/libglade-2.0.so.0                           
#12 0x00007fcc1ba712a6 in glade_xml_new () from /usr/lib/libglade-2.0.so.0                                 
#13 0x000000000042b357 in Entry (this=0x23f88b0, type=<value optimized out>, glade=@0x7fcc13e1df60,        
    id=<value optimized out>) at linux/entry.cc:39                                                         
#14 0x00000000004109df in BookEntry (this=0x38e1, type=14567, text=@0x7fcc13e1df50, glade=@0x6, id=@0x0)   
    at linux/bookentry.cc:32                                                                               
#15 0x000000000045404d in Hub (this=0x23f88b0, address=@0x7fcc13e1e050, encoding=@0x7fcc13e1e040)          
    at linux/hub.cc:46                                                                                     
#16 0x000000000046c3c3 in MainWindow::showHub_gui (this=0x1cc41a0, address=DWARF-2 expression error: DW_OP_reg operations must be used either alone or in conjuction with DW_OP_piece.                                
) at linux/mainwindow.cc:604                                                                               
warning: (Internal error: pc 0x47a1f4 in read in psymtab, but not in symtab.)                              
                                                                                                           
warning: (Internal error: pc 0x47a1f4 in read in psymtab, but not in symtab.)                              
                                                                                                           
#17 0x000000000047a1f5 in Func2<MainWindow, std::string, std::string>::call (this=warning: (Internal error: pc 0x47a1a0 in read in psymtab, but not in symtab.)                                                       
                                                                                                           
warning: (Internal error: pc 0x47a1f4 in read in psymtab, but not in symtab.)                              
                                                                                                           
0x229d5c0)                                                                                                 
    at linux/func.hh:97                                                                                    
#18 0x00000000004daa69 in WulforManager::processGuiQueue (this=0x1cc5140) at linux/wulformanager.cc:181    
#19 0x00000000004dab49 in WulforManager::threadFunc_gui (data=0x38e1) at linux/wulformanager.cc:148        
#20 0x00007fcc1a6d1954 in g_thread_create_proxy () from /usr/lib/libglib-2.0.so.0                          
#21 0x00007fcc1c6876fa in start_thread (arg=<value optimized out>) at pthread_create.c:297                 
#22 0x00007fcc19c3e7ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112                        
#23 0x0000000000000000 in ?? ()                                                                            
(gdb) info r                                                                                               
rax            0x0      0                                                                                  
rbx            0x7fcc19c8bcfc   140514582641916                                                            
rcx            0xffffffffffffffff       -1                                                                 
rdx            0x6      6                                                                                  
rsi            0x38e7   14567                                                                              
rdi            0x38e1   14561                                                                              
rbp            0x2      0x2                                                                                
rsp            0x7fcc13e1d668   0x7fcc13e1d668                                                             
r8             0x0      0                                                                                  
r9             0x14     20                                                                                 
r10            0x8      8                                                                                  
r11            0x206    518                                                                                
r12            0x0      0                                                                                  
r13            0x7fcc1bc7c9e0   140514616134112                                                            
r14            0x7fcc13e1d9d0   140514483624400                                                            
r15            0x7fcc13e1d9e0   140514483624416                                                            
rip            0x7fcc19ba6235   0x7fcc19ba6235 <*__GI_raise+53>                                            
eflags         0x206    [ PF IF ]                                                                          
cs             0x33     51                                                                                 
ss             0x2b     43                                                                                 
ds             0x0      0                                                                                  
es             0x0      0                                                                                  
fs             0x0      0                                                                                  
gs             0x0      0                                                                                  
fctrl          0x37f    895                                                                                
fstat          0x0      0                                                                                  
ftag           0xffff   65535                                                                              
fiseg          0x0      0                                                                                  
fioff          0x0      0                                                                                  
foseg          0x0      0                                                                                  
fooff          0x0      0                                                                                  
fop            0x0      0                                                                                  
mxcsr          0x1fa0   [ PE IM DM ZM OM UM PM ]                                                           
(gdb) info sha                                                                                             
From                To                  Syms Read   Shared Object Library                                  
0x00007fcc1c89daa0  0x00007fcc1c8b3b54  Yes         /lib/ld-linux-x86-64.so.2                              
0x00007fcc1c6862c0  0x00007fcc1c691598  Yes         /lib/libpthread.so.0                                   
0x00007fcc1c46e120  0x00007fcc1c479b58  Yes         /usr/lib/libz.so.1                                     
0x00007fcc1c25d720  0x00007fcc1c2699f8  Yes         /lib/libbz2.so.1.0                                     
0x00007fcc1bf36b40  0x00007fcc1bff2b18  Yes         /usr/lib/libcrypto.so.0.9.8                            
0x00007fcc1bc90aa0  0x00007fcc1bcbca48  Yes         /usr/lib/libssl.so.0.9.8                               
0x00007fcc1ba6dc50  0x00007fcc1ba78728  Yes         /usr/lib/libglade-2.0.so.0                             
0x00007fcc1b4eeee0  0x00007fcc1b723c68  Yes         /usr/lib/libgtk-x11-2.0.so.0                           
0x00007fcc1b1febe0  0x00007fcc1b24b8b8  Yes         /usr/lib/libgdk-x11-2.0.so.0                           
0x00007fcc1afc8a60  0x00007fcc1afd9e28  Yes         /usr/lib/libgdk_pixbuf-2.0.so.0                        
0x00007fcc1ad88bc0  0x00007fcc1ada71d8  Yes         /usr/lib/libpango-1.0.so.0                             
0x00007fcc1ab3f070  0x00007fcc1ab684c8  Yes         /usr/lib/libgobject-2.0.so.0                           
0x00007fcc1a933650  0x00007fcc1a9349e8  Yes         /usr/lib/libgthread-2.0.so.0                           
0x00007fcc1a684090  0x00007fcc1a6e01f8  Yes         /usr/lib/libglib-2.0.so.0                              
0x00007fcc1a3baaf0  0x00007fcc1a42c666  Yes         /usr/lib/libstdc++.so.6                                
0x00007fcc1a0e1e60  0x00007fcc1a121bd8  Yes         /lib/libm.so.6
0x00007fcc19ecacf0  0x00007fcc19edb158  Yes         /usr/lib/libgcc_s.so.1
0x00007fcc19b92660  0x00007fcc19c759ac  Yes         /lib/libc.so.6
0x00007fcc19970dc0  0x00007fcc19971928  Yes         /lib/libdl.so.2
0x00007fcc196416c0  0x00007fcc1972e638  Yes         /usr/lib/libxml2.so.2
0x00007fcc193fcc30  0x00007fcc194086d8  Yes         /usr/lib/libatk-1.0.so.0
0x00007fcc1918e030  0x00007fcc191d3eb8  Yes         /usr/lib/libgio-2.0.so.0
0x00007fcc18f544a0  0x00007fcc18f72ad8  Yes         /usr/lib/libpangoft2-1.0.so.0
0x00007fcc18d45a00  0x00007fcc18d4a2d8  Yes         /usr/lib/libpangocairo-1.0.so.0
0x00007fcc18acffc0  0x00007fcc18b25f28  Yes         /usr/lib/libcairo.so.2
0x00007fcc1883a270  0x00007fcc188a0308  Yes         /usr/lib/libfreetype.so.6
0x00007fcc186020f0  0x00007fcc1861a1d8  Yes         /usr/lib/libfontconfig.so.1
0x00007fcc183fa180  0x00007fcc183fb0f8  Yes         /usr/lib/libgmodule-2.0.so.0
0x00007fcc181eaa50  0x00007fcc181f5968  Yes         /usr/lib/libXext.so.6
0x00007fcc17fdfae0  0x00007fcc17fe5f38  Yes         /usr/lib/libXrender.so.1
0x00007fcc17ddca80  0x00007fcc17ddd5c8  Yes         /usr/lib/libXinerama.so.1
0x00007fcc17bd3a60  0x00007fcc17bda098  Yes         /usr/lib/libXi.so.6
0x00007fcc179cb920  0x00007fcc179d0988  Yes         /usr/lib/libXrandr.so.2
0x00007fcc177c2b40  0x00007fcc177c7be8  Yes         /usr/lib/libXcursor.so.1
0x00007fcc174a4d60  0x00007fcc175325a8  Yes         /usr/lib/libX11.so.6
0x00007fcc17283bc0  0x00007fcc172849d8  Yes         /usr/lib/libXcomposite.so.1
0x00007fcc17081b00  0x00007fcc17082668  Yes         /usr/lib/libXdamage.so.1
0x00007fcc16e7d530  0x00007fcc16e803b8  Yes         /usr/lib/libXfixes.so.3
0x00007fcc16c59360  0x00007fcc16c745d8  Yes         /usr/lib/libpng12.so.0
0x00007fcc16a25570  0x00007fcc16a42e18  Yes         /lib/libpcre.so.0
0x00007fcc1681e180  0x00007fcc16821678  Yes         /lib/librt.so.1
0x00007fcc165dbdd0  0x00007fcc16611f88  Yes         /usr/lib/libpixman-1.so.0
0x00007fcc163d55e0  0x00007fcc163d6438  Yes         /usr/lib/libxcb-render-util.so.0
0x00007fcc161cf260  0x00007fcc161d1da8  Yes         /usr/lib/libxcb-render.so.0
0x00007fcc15fb9610  0x00007fcc15fc4b38  Yes         /usr/lib/libxcb.so.1
0x00007fcc15d8ad30  0x00007fcc15da4398  Yes         /usr/lib/libexpat.so.1
0x00007fcc15b85cf0  0x00007fcc15b86a88  Yes         /usr/lib/libXau.so.6
0x00007fcc159813e0  0x00007fcc15982d78  Yes         /usr/lib/libXdmcp.so.6
0x00007fcc12c12140  0x00007fcc12c19508  Yes         /lib/libnss_files.so.2
0x00007fcc12a0f070  0x00007fcc12a0f578  Yes         /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
0x00007fcc06c37fe0  0x00007fcc06c3b0b8  Yes         /lib/libnss_dns.so.2
0x00007fcc06a248a0  0x00007fcc06a30668  Yes         /lib/libresolv.so.2
0x00007fcc0601d4a0  0x00007fcc0601e158  Yes         /usr/lib/gconv/CP1251.so
(gdb)
Comment 24 Pino Silvaggio 2009-06-16 06:38:13 UTC
There seem to be a common theme here.

glib is in all the cases I see, even amarok which is very surprising!

ldd amarok
...
libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0
...

Since I do not suspect this is a GTK related issue...
Comment 25 Victor 2009-06-16 07:03:17 UTC
As a prof that it's glib related:

me$ dmesg
...
linuxdcpp[14107] general protection ip:7fd889595e71 sp:7fd8837ce670 error:0 in libc-2.10.1.so[7fd889525000+14a000]
...

The same for other apps
Comment 26 Dario Andres 2009-06-16 13:57:40 UTC
Let's clarify this:
Amarok is a Qt-KDE (non-gtk) application. However, Qt4 applications are linked against glib (because Qt can use the GLib loops if needed)

@Victor: I pointed you to an Amarok specific report which has that backtrace (bug bug 191447). If you think this issue is related to that, you can add a comment in that bug report; so all the people experiencing this issue can double check this. (and we will know if they are indeed related or not)

Changing the title to reflect the new discoverings...
Thanks
Comment 27 Dario Andres 2009-06-16 14:08:43 UTC
Bingo, I found the cause of this: bug 185225
Look at bug 185225 comment 3: if any application is crashing here it means it is buggy indeed. Changing that malloc check will avoid their crashes..
Marking as duplicate. We are going to "fix" the issue on 4.3trunk too
Regards

*** This bug has been marked as a duplicate of bug 185225 ***
Comment 28 Dario Andres 2009-06-16 14:18:29 UTC
New information:

As stated in bug 185225, the strict malloc check is activated on purpose on trunk (4.3.x), and this will not change. (When 4.3.0 is released and trunk becomes 4.4, then, this is going to be changed, so you are not going to experience the crashes with final versions)

If you want to stop the crashes (even when running a non-final version), you need to edit your "startkde" scripts (on /usr/bin) to change the MALLOC_CHECK_ to 1 (instead of 2); OR, to start you applications as ""MALLOC_CHECK_=0 my_buggy_app"

Regards
Comment 29 George Kiagiadakis 2009-06-16 14:30:30 UTC
Quoting the malloc(3) man page:

Recent versions of Linux libc (later than 5.4.23) and glibc (2.x) include a malloc() implementation which is tunable via environment variables.  When MALLOC_CHECK_ is set, a special (less efficient) implementation is used which is designed to be tolerant against simple errors, such as double  calls of  free() with the same argument, or overruns of a single byte (off-by-one bugs).  Not all such errors can be protected against, however, and memory leaks can result. If MALLOC_CHECK_ is set to 0, any detected heap corruption is silently ignored; if set to 1, a diagnostic message  is  printed  on stderr; if set to 2, abort(3) is called immediately; if set to 3, a diagnostic message is printed on stderr and the program is aborted.  Using a non-zero MALLOC_CHECK_ value can be useful because otherwise a crash may happen much later, and the true cause for the problem is then very hard to track down.
--------

That means that all the gtk apps that crash *do* experience heap corruption and thus are buggy! If you want a permanent and correct fix for those crashes, file bug reports for these applications. Setting MALLOC_CHECK_ to 0 is just a workaround to silently ignore the real problem, and in fact if those apps don't crash with MALLOC_CHECK_=0, they are working out of luck!

Thanks.
Comment 30 Vladimir 2009-06-23 00:27:55 UTC
*** Bug 196235 has been marked as a duplicate of this bug. ***
Comment 31 Michael Pyne 2009-07-14 00:54:08 UTC
I've been experiencing what I believe is this bug, and here's what I (think) I know:

- It's in relation to glib.  QT_NO_GLIB=1 before running affected applications seems to stop the crashes.
- It's in relation to glibc 2.10.1.  I didn't experience this issue until I upgraded to this version of glibc.
- It's related to the malloc check code:
 * Running MALLOC_CHECK_=2 or 3 causes a SIGABRT after some songs with JuK, using phonon-gst (and the glib Qt event loop, obviously).
 * Tone MALLOC_CHECK_ to a 1 (check, give message, but don't abort) and JuK will eventually crash with SIGSEGV instead of SIGABRT, which is an indication of eventual heap corruption.
 * unset MALLOC_CHECK_ and I can't get JuK to crash using my normal reproducing technique (clicking "Next" as fast as I can during playback).  I haven't run it for long enough to where I think there won't be a SIGSEGV but it lasts much longer than with checking enabled but disregarded.
- It's related to KDE 4.  I've been able to reproduce with a gstreamer-only test application I have (though much less frequently), except when running in KDE 4.  Running KDE 4 applications in fluxbox still leads to crashes as well.

The other application besides JuK I get issues with is KTorrent.

Reopening because I'm really not quite sure of what to make of it, or where the true fault lies (although at this point I suspect something in glibc's memory checking code).
Comment 32 Michael Pyne 2009-07-14 05:09:25 UTC
As long as MALLOC_CHECK_ is enabled at all I can reproduce this bug, with all of the following debugging options enabled: GLIBCXX_FORCE_NEW=1, GLIBCPP_FORCE_NEW=1, G_SLICE=always-malloc, G_DEBUG=gc-friendly (latter two are glib debugging aids).

I have yet to have a JuK crash (not even a segfault) with MALLOC_CHECK_ disabled.
Comment 33 Thiago Macieira 2009-07-14 09:10:09 UTC
One more thing: this appears to happen only on x86-64. Has anyone been able to reproduce this on 32-bit? I have glibc 2.10.1 on 32-bit and I have not seen this issue.
Comment 34 LuRan 2009-07-19 05:02:43 UTC
Not sure if it has some connection with glib stuff, but I am using a 32-bit system, and amarok/okular/krunner (trunk) start to abort quite often after I upgrade to glibc 2.10.1. After unset MALLOC_CHECK_ everything seems back to normal. And amarok still crash even if I set QT_NO_GLIB=1 in .xinitrc.
Comment 35 Michael Pyne 2009-07-21 04:12:14 UTC
*** Bug 194146 has been marked as a duplicate of this bug. ***
Comment 36 FiNeX 2009-08-04 13:54:11 UTC
*** Bug 200712 has been marked as a duplicate of this bug. ***
Comment 37 Mikko C. 2009-08-24 17:46:56 UTC
this is still valid with amarok and kde 4.4. Glibc 2.10.1, 64 bit.
MALLOC_CHECK_=0 fixes it.
Comment 38 caulier.gilles 2009-09-10 05:42:49 UTC
*** Bug 206778 has been marked as a duplicate of this bug. ***
Comment 39 Michael Pyne 2009-09-23 22:45:24 UTC
*** Bug 207788 has been marked as a duplicate of this bug. ***
Comment 40 Dario Andres 2009-09-30 23:21:30 UTC
*** Bug 207788 has been marked as a duplicate of this bug. ***
Comment 41 Michael Pyne 2009-11-16 23:39:37 UTC
An OpenSUSE developer has apparently developed a possible fix and reported the issue to the glibc developers, at http://sourceware.org/bugzilla/show_bug.cgi?id=10282

I will attempt to test the patch.
Comment 42 Michael Pyne 2009-11-17 00:06:04 UTC
The fix mentioned in the sourceware bugzilla works for me.  Since it's a glibc bug (that we happen to trip across more reliably :) I'm closing the bug.
Comment 43 Albert Astals Cid 2009-11-29 22:38:54 UTC
*** Bug 216606 has been marked as a duplicate of this bug. ***
Comment 44 Myriam Schweingruber 2009-12-12 13:36:24 UTC
*** Bug 218372 has been marked as a duplicate of this bug. ***
Comment 45 Myriam Schweingruber 2009-12-13 11:52:39 UTC
*** Bug 214793 has been marked as a duplicate of this bug. ***
Comment 46 Jonathan Thomas 2009-12-16 07:35:48 UTC
*** Bug 213607 has been marked as a duplicate of this bug. ***
Comment 47 Albert Astals Cid 2009-12-17 00:11:09 UTC
*** Bug 218997 has been marked as a duplicate of this bug. ***
Comment 48 Dario Andres 2009-12-17 00:24:20 UTC
*** Bug 218858 has been marked as a duplicate of this bug. ***
Comment 49 Dario Andres 2009-12-17 00:24:29 UTC
*** Bug 218860 has been marked as a duplicate of this bug. ***
Comment 50 Dario Andres 2009-12-17 00:28:18 UTC
*** Bug 218785 has been marked as a duplicate of this bug. ***
Comment 51 Dario Andres 2009-12-17 00:28:27 UTC
*** Bug 218888 has been marked as a duplicate of this bug. ***
Comment 52 Jonathan Thomas 2009-12-17 18:36:02 UTC
*** Bug 181327 has been marked as a duplicate of this bug. ***
Comment 53 Jacopo De Simoi 2009-12-17 18:39:13 UTC
*** Bug 217894 has been marked as a duplicate of this bug. ***
Comment 54 Jacopo De Simoi 2009-12-17 18:40:13 UTC
*** Bug 217875 has been marked as a duplicate of this bug. ***
Comment 55 Jacopo De Simoi 2009-12-17 18:40:56 UTC
*** Bug 217829 has been marked as a duplicate of this bug. ***
Comment 56 Jacopo De Simoi 2009-12-17 18:45:30 UTC
*** Bug 216905 has been marked as a duplicate of this bug. ***
Comment 57 Jacopo De Simoi 2009-12-17 18:57:14 UTC
*** Bug 216560 has been marked as a duplicate of this bug. ***
Comment 58 Jacopo De Simoi 2009-12-17 18:58:47 UTC
*** Bug 214774 has been marked as a duplicate of this bug. ***
Comment 59 Jacopo De Simoi 2009-12-17 19:00:14 UTC
*** Bug 214332 has been marked as a duplicate of this bug. ***
Comment 60 Jacopo De Simoi 2009-12-17 19:02:22 UTC
*** Bug 212008 has been marked as a duplicate of this bug. ***
Comment 61 Jacopo De Simoi 2009-12-17 19:02:58 UTC
*** Bug 208031 has been marked as a duplicate of this bug. ***
Comment 62 Jacopo De Simoi 2009-12-17 19:03:28 UTC
*** Bug 208057 has been marked as a duplicate of this bug. ***
Comment 63 Jacopo De Simoi 2009-12-17 19:03:51 UTC
*** Bug 207673 has been marked as a duplicate of this bug. ***
Comment 64 Jacopo De Simoi 2009-12-17 19:04:37 UTC
*** Bug 205025 has been marked as a duplicate of this bug. ***
Comment 65 Jacopo De Simoi 2009-12-17 19:08:40 UTC
*** Bug 200791 has been marked as a duplicate of this bug. ***
Comment 66 Jacopo De Simoi 2009-12-17 19:09:57 UTC
*** Bug 198933 has been marked as a duplicate of this bug. ***
Comment 67 Jacopo De Simoi 2009-12-17 19:11:39 UTC
*** Bug 198196 has been marked as a duplicate of this bug. ***
Comment 68 Jacopo De Simoi 2009-12-17 19:12:12 UTC
*** Bug 197210 has been marked as a duplicate of this bug. ***
Comment 69 Jacopo De Simoi 2009-12-17 19:12:33 UTC
*** Bug 195984 has been marked as a duplicate of this bug. ***
Comment 70 Jacopo De Simoi 2009-12-17 19:18:35 UTC
*** Bug 209618 has been marked as a duplicate of this bug. ***
Comment 71 Dario Andres 2009-12-19 14:05:17 UTC
*** Bug 219289 has been marked as a duplicate of this bug. ***
Comment 72 Dario Andres 2009-12-19 14:29:34 UTC
*** Bug 219288 has been marked as a duplicate of this bug. ***
Comment 73 Dario Andres 2009-12-19 15:52:42 UTC
*** Bug 219314 has been marked as a duplicate of this bug. ***
Comment 74 Dario Andres 2009-12-19 16:03:31 UTC
*** Bug 218140 has been marked as a duplicate of this bug. ***
Comment 75 Dario Andres 2009-12-19 16:34:43 UTC
*** Bug 214461 has been marked as a duplicate of this bug. ***
Comment 76 Myriam Schweingruber 2009-12-19 18:04:41 UTC
*** Bug 219304 has been marked as a duplicate of this bug. ***
Comment 77 Jonathan Thomas 2009-12-20 16:37:59 UTC
*** Bug 219438 has been marked as a duplicate of this bug. ***
Comment 78 Myriam Schweingruber 2009-12-20 21:52:47 UTC
*** Bug 219339 has been marked as a duplicate of this bug. ***
Comment 79 Jonathan Thomas 2009-12-22 05:51:10 UTC
*** Bug 219629 has been marked as a duplicate of this bug. ***
Comment 80 Joris Guisson 2009-12-22 13:06:41 UTC
*** Bug 219498 has been marked as a duplicate of this bug. ***
Comment 81 Dario Andres 2009-12-23 13:09:33 UTC
*** Bug 219782 has been marked as a duplicate of this bug. ***
Comment 82 Martin 2009-12-23 15:24:33 UTC
*** Bug 219814 has been marked as a duplicate of this bug. ***
Comment 83 Arthur Schiwon 2009-12-23 18:36:45 UTC
*** Bug 219774 has been marked as a duplicate of this bug. ***
Comment 84 Pino Toscano 2009-12-25 12:12:37 UTC
*** Bug 220041 has been marked as a duplicate of this bug. ***
Comment 85 Dario Andres 2009-12-25 14:18:52 UTC
*** Bug 220029 has been marked as a duplicate of this bug. ***
Comment 86 Lukas Appelhans 2009-12-25 22:55:04 UTC
*** Bug 220090 has been marked as a duplicate of this bug. ***
Comment 87 Roman Jarosz 2009-12-26 14:56:43 UTC
*** Bug 214162 has been marked as a duplicate of this bug. ***
Comment 88 Mikko C. 2009-12-26 15:13:57 UTC
*** Bug 220143 has been marked as a duplicate of this bug. ***
Comment 89 Dario Andres 2009-12-26 17:41:57 UTC
*** Bug 220138 has been marked as a duplicate of this bug. ***
Comment 90 Pino Toscano 2009-12-26 18:34:35 UTC
*** Bug 196367 has been marked as a duplicate of this bug. ***
Comment 91 Pino Toscano 2009-12-26 18:34:48 UTC
*** Bug 197019 has been marked as a duplicate of this bug. ***
Comment 92 Pino Toscano 2009-12-26 18:35:08 UTC
*** Bug 197025 has been marked as a duplicate of this bug. ***
Comment 93 Pino Toscano 2009-12-26 18:35:38 UTC
*** Bug 206843 has been marked as a duplicate of this bug. ***
Comment 94 Pino Toscano 2009-12-26 18:35:57 UTC
*** Bug 211148 has been marked as a duplicate of this bug. ***
Comment 95 Pino Toscano 2009-12-26 18:36:49 UTC
*** Bug 211635 has been marked as a duplicate of this bug. ***
Comment 96 Pino Toscano 2009-12-26 18:37:13 UTC
*** Bug 212229 has been marked as a duplicate of this bug. ***
Comment 97 Pino Toscano 2009-12-26 18:37:24 UTC
*** Bug 212626 has been marked as a duplicate of this bug. ***
Comment 98 Pino Toscano 2009-12-26 18:37:41 UTC
*** Bug 220062 has been marked as a duplicate of this bug. ***
Comment 99 Pino Toscano 2009-12-26 18:40:57 UTC
*** Bug 204775 has been marked as a duplicate of this bug. ***
Comment 100 Pino Toscano 2009-12-26 21:59:19 UTC
*** Bug 193175 has been marked as a duplicate of this bug. ***
Comment 101 Pino Toscano 2009-12-27 00:49:40 UTC
*** Bug 199536 has been marked as a duplicate of this bug. ***
Comment 102 Pino Toscano 2009-12-27 01:00:23 UTC
*** Bug 200982 has been marked as a duplicate of this bug. ***
Comment 103 Pino Toscano 2009-12-27 01:00:32 UTC
*** Bug 200669 has been marked as a duplicate of this bug. ***
Comment 104 Pino Toscano 2009-12-27 01:03:14 UTC
*** Bug 198900 has been marked as a duplicate of this bug. ***
Comment 105 Pino Toscano 2009-12-27 01:18:20 UTC
*** Bug 204881 has been marked as a duplicate of this bug. ***
Comment 106 Pino Toscano 2009-12-27 01:25:39 UTC
*** Bug 219557 has been marked as a duplicate of this bug. ***
Comment 107 Pino Toscano 2009-12-27 01:25:57 UTC
*** Bug 219055 has been marked as a duplicate of this bug. ***
Comment 108 Pino Toscano 2009-12-27 01:28:21 UTC
*** Bug 218229 has been marked as a duplicate of this bug. ***
Comment 109 Pino Toscano 2009-12-27 01:28:42 UTC
*** Bug 218021 has been marked as a duplicate of this bug. ***
Comment 110 Pino Toscano 2009-12-27 01:29:05 UTC
*** Bug 217969 has been marked as a duplicate of this bug. ***
Comment 111 Pino Toscano 2009-12-27 01:29:29 UTC
*** Bug 217910 has been marked as a duplicate of this bug. ***
Comment 112 Pino Toscano 2009-12-27 01:29:43 UTC
*** Bug 216620 has been marked as a duplicate of this bug. ***
Comment 113 Pino Toscano 2009-12-27 01:30:49 UTC
*** Bug 216404 has been marked as a duplicate of this bug. ***
Comment 114 Pino Toscano 2009-12-27 01:31:06 UTC
*** Bug 216179 has been marked as a duplicate of this bug. ***
Comment 115 Pino Toscano 2009-12-27 01:36:51 UTC
*** Bug 214974 has been marked as a duplicate of this bug. ***
Comment 116 Pino Toscano 2009-12-27 01:37:23 UTC
*** Bug 214465 has been marked as a duplicate of this bug. ***
Comment 117 Pino Toscano 2009-12-27 01:38:13 UTC
*** Bug 213586 has been marked as a duplicate of this bug. ***
Comment 118 Pino Toscano 2009-12-27 01:39:10 UTC
*** Bug 209210 has been marked as a duplicate of this bug. ***
Comment 119 Myriam Schweingruber 2009-12-27 13:24:46 UTC
*** Bug 220250 has been marked as a duplicate of this bug. ***
Comment 120 Roman Jarosz 2009-12-27 17:55:18 UTC
*** Bug 203630 has been marked as a duplicate of this bug. ***
Comment 121 Mikko C. 2009-12-28 11:29:30 UTC
*** Bug 220366 has been marked as a duplicate of this bug. ***
Comment 122 Jonathan Thomas 2009-12-29 21:59:54 UTC
*** Bug 220590 has been marked as a duplicate of this bug. ***
Comment 123 Jonathan Thomas 2009-12-30 15:12:36 UTC
*** Bug 220599 has been marked as a duplicate of this bug. ***
Comment 124 Jonathan Thomas 2009-12-30 15:12:53 UTC
*** Bug 220594 has been marked as a duplicate of this bug. ***
Comment 125 Jonathan Thomas 2009-12-31 15:30:21 UTC
*** Bug 220812 has been marked as a duplicate of this bug. ***
Comment 126 Jonathan Thomas 2009-12-31 15:33:40 UTC
*** Bug 220788 has been marked as a duplicate of this bug. ***
Comment 127 Jonathan Thomas 2009-12-31 16:09:08 UTC
*** Bug 213204 has been marked as a duplicate of this bug. ***
Comment 128 Dario Andres 2009-12-31 22:42:17 UTC
*** Bug 220824 has been marked as a duplicate of this bug. ***
Comment 129 Dario Andres 2010-01-01 13:54:46 UTC
*** Bug 220708 has been marked as a duplicate of this bug. ***
Comment 130 Dario Andres 2010-01-01 13:59:04 UTC
*** Bug 220885 has been marked as a duplicate of this bug. ***
Comment 131 Dario Andres 2010-01-01 14:00:14 UTC
*** Bug 220867 has been marked as a duplicate of this bug. ***
Comment 132 Dario Andres 2010-01-01 14:19:12 UTC
*** Bug 220875 has been marked as a duplicate of this bug. ***
Comment 133 Jonathan Thomas 2010-01-01 15:57:23 UTC
*** Bug 220815 has been marked as a duplicate of this bug. ***
Comment 134 Albert Astals Cid 2010-01-02 16:33:17 UTC
*** Bug 220947 has been marked as a duplicate of this bug. ***
Comment 135 Pino Toscano 2010-01-02 19:41:34 UTC
*** Bug 221015 has been marked as a duplicate of this bug. ***
Comment 136 Pino Toscano 2010-01-03 21:42:22 UTC
*** Bug 221156 has been marked as a duplicate of this bug. ***
Comment 137 Mikko C. 2010-01-03 23:14:53 UTC
*** Bug 221172 has been marked as a duplicate of this bug. ***
Comment 138 Pino Toscano 2010-01-04 15:44:49 UTC
*** Bug 221251 has been marked as a duplicate of this bug. ***
Comment 139 Myriam Schweingruber 2010-01-04 17:20:03 UTC
*** Bug 204645 has been marked as a duplicate of this bug. ***
Comment 140 Myriam Schweingruber 2010-01-04 18:16:26 UTC
For all the *buntu users having this bug: Please get the latest libc6 package from the karmic-backports, it provides the corrected glibc version.
Changing to fixed as it is also solved downstream. 
If you are on a different distribution and still have this bug, please ask your distribution for an updated glibc version.
Comment 141 jajaX 2010-01-05 00:22:10 UTC
ok, thanks ;) I wait update....

what's the number of this new version ?
Comment 142 Michael Pyne 2010-01-05 00:35:15 UTC
I closed it as UPSTREAM because it's not our bug (and therefore not our bug to fix). DOWNSTREAM would be appropriate for a bug not present in our sources but present in a distribution package of our sources, but that isn't the case here.

Is there something I'm missing here or can I mark it UPSTREAM again?
Comment 143 Dario Andres 2010-01-05 19:16:44 UTC
*** Bug 221419 has been marked as a duplicate of this bug. ***
Comment 144 Myriam Schweingruber 2010-01-07 09:31:23 UTC
*** Bug 221599 has been marked as a duplicate of this bug. ***
Comment 145 Dario Andres 2010-01-08 12:59:06 UTC
*** Bug 221605 has been marked as a duplicate of this bug. ***
Comment 146 Dario Andres 2010-01-08 20:51:04 UTC
*** Bug 221826 has been marked as a duplicate of this bug. ***
Comment 147 Jacopo De Simoi 2010-01-09 10:15:27 UTC
*** Bug 192642 has been marked as a duplicate of this bug. ***
Comment 148 Jacopo De Simoi 2010-01-09 10:19:28 UTC
*** Bug 197936 has been marked as a duplicate of this bug. ***
Comment 149 Jacopo De Simoi 2010-01-09 11:33:30 UTC
*** Bug 220580 has been marked as a duplicate of this bug. ***
Comment 150 Pino Toscano 2010-01-10 16:01:07 UTC
*** Bug 222064 has been marked as a duplicate of this bug. ***
Comment 151 Dario Andres 2010-01-13 01:14:11 UTC
*** Bug 222094 has been marked as a duplicate of this bug. ***
Comment 152 Myriam Schweingruber 2010-01-13 22:13:36 UTC
*** Bug 222590 has been marked as a duplicate of this bug. ***
Comment 153 Myriam Schweingruber 2010-01-14 11:28:25 UTC
*** Bug 222654 has been marked as a duplicate of this bug. ***
Comment 154 Myriam Schweingruber 2010-01-14 19:05:25 UTC
*** Bug 222735 has been marked as a duplicate of this bug. ***
Comment 155 Myriam Schweingruber 2010-01-17 23:03:34 UTC
*** Bug 223192 has been marked as a duplicate of this bug. ***
Comment 156 Dario Andres 2010-01-18 00:52:50 UTC
*** Bug 223126 has been marked as a duplicate of this bug. ***
Comment 157 Jonathan Thomas 2010-01-19 05:06:17 UTC
*** Bug 222814 has been marked as a duplicate of this bug. ***
Comment 158 Myriam Schweingruber 2010-01-26 13:03:44 UTC
*** Bug 224286 has been marked as a duplicate of this bug. ***
Comment 159 Dario Andres 2010-01-27 01:07:19 UTC
*** Bug 224327 has been marked as a duplicate of this bug. ***
Comment 160 Dario Andres 2010-02-01 22:17:31 UTC
*** Bug 225166 has been marked as a duplicate of this bug. ***
Comment 161 Jonathan Thomas 2010-02-07 19:08:22 UTC
*** Bug 220452 has been marked as a duplicate of this bug. ***
Comment 162 Dario Andres 2010-02-09 13:33:54 UTC
*** Bug 220235 has been marked as a duplicate of this bug. ***
Comment 163 Martin Flöser 2010-02-14 15:14:14 UTC
*** Bug 226820 has been marked as a duplicate of this bug. ***
Comment 164 Dario Andres 2010-02-21 23:59:44 UTC
*** Bug 224292 has been marked as a duplicate of this bug. ***
Comment 165 Dario Andres 2010-02-21 23:59:58 UTC
*** Bug 223404 has been marked as a duplicate of this bug. ***
Comment 166 Myriam Schweingruber 2010-07-02 13:52:01 UTC
Should be UPSTREAM, solved in glibc since quite some time.
Comment 167 Myriam Schweingruber 2010-07-02 13:52:35 UTC
*** Bug 243412 has been marked as a duplicate of this bug. ***
Comment 168 Albert Astals Cid 2010-07-11 17:27:56 UTC
*** Bug 195183 has been marked as a duplicate of this bug. ***
Comment 169 Albert Astals Cid 2010-07-11 17:28:06 UTC
*** Bug 197169 has been marked as a duplicate of this bug. ***
Comment 170 Peter Penz 2010-08-08 13:13:39 UTC
*** Bug 225387 has been marked as a duplicate of this bug. ***
Comment 171 ryan 2010-11-10 16:40:19 UTC
Created attachment 53298 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.2 (KDE 4.5.2) using Qt 4.7.0

- What I was doing when the application crashed:

I was in the add/remove application and installed amarok

-- Backtrace (Reduced):
#10 0x00a85b7d in __libc_message (do_abort=2, fmt=0xb6f97c "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:186
#11 0x00a8dee4 in malloc_printerr (av=<value optimized out>, p=0xa213b67, have_lock=0) at malloc.c:6283
#12 _int_free (av=<value optimized out>, p=0xa213b67, have_lock=0) at malloc.c:4795
#13 0x05b4becc in QRegion::cleanUp (x=0xa1c58d0) at painting/qregion.cpp:3909
#14 0x05b4bf7f in QRegion::operator= (this=0xa0ad4d8, r=...) at painting/qregion.cpp:3928
Comment 172 Myriam Schweingruber 2011-09-27 18:59:10 UTC
*** Bug 282896 has been marked as a duplicate of this bug. ***